package com.cf.imes.module.manage.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum RemainPlateUseTypeEnum {

    TYPE_ONE(0, "核销"),
    TYPE_TWO(1, "排单"),
    TYPE_THREE(2, "补板");

    private final Integer status;
    private String description;

    public boolean equals(Integer status) {
        return this.status .equals(status) ;
    }

    public boolean equals(RemainPlateUseTypeEnum enableStatusEnum) {
        return enableStatusEnum != null && enableStatusEnum.status .equals(this.getStatus()) ;
    }
}
